curl --request POST \
--url https://api.checkfu.com/v1/organizations/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'checkfu-version: <checkfu-version>' \
--data '
{
"name": "<string>",
"data_residency": {
"allowed_inference_geos": "unrestricted",
"workspace_geo": "us"
},
"external_key_id": "<string>",
"tags": {}
}
'import requests
url = "https://api.checkfu.com/v1/organizations/workspaces"
payload = {
"name": "<string>",
"data_residency": {
"allowed_inference_geos": "unrestricted",
"workspace_geo": "us"
},
"external_key_id": "<string>",
"tags": {}
}
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'checkfu-version': '<checkfu-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
data_residency: {allowed_inference_geos: 'unrestricted', workspace_geo: 'us'},
external_key_id: '<string>',
tags: {}
})
};
fetch('https://api.checkfu.com/v1/organizations/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"archived_at": "<string>",
"compartment_id": "<string>",
"created_at": "<string>",
"data_residency": {
"allowed_inference_geos": "unrestricted",
"default_inference_geo": "global",
"workspace_geo": "us"
},
"display_color": "<string>",
"external_key_id": "<string>",
"name": "<string>",
"tags": {},
"type": "workspace"
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "validation.conflict",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-conflict"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}Create a Workspace
Creates an Organization Workspace using the CMA-compatible request shape.
Checkfu support posture: alpha; hosted. Required evidence journey: tenant-control. Deployment-specific readiness and the latest proven release are available from GET /v1/support/capabilities.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
2026-08-27 255Body
Create one Organization Workspace using the CMA Admin API shape.
Response
One CMA-compatible Workspace administration resource.
One CMA-compatible Workspace administration resource.
^wrkspc_[0-9a-f]{32}$A canonical UTC ISO-8601 timestamp with millisecond precision.
24^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$1A canonical UTC ISO-8601 timestamp with millisecond precision.
24^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Workspace storage and inference geography configuration.
Show child attributes
Show child attributes
^#[0-9A-Fa-f]{6}$1 - 2551 - 255User-defined Workspace tags whose keys do not begin with anthropic.
Show child attributes
Show child attributes
workspace